dofile("scripts/entities/entityinclude.lua")

function init(me)
	entity_setEntityType(me, ET_NEUTRAL)
	entity_initSkeletal(me, "SacrificeButton", "")
	entity_setEntityLayer(me, 0)
	--entity_setState(me, STATE_OPEN)
end

function update(me, dt)
end

function enterState(me, state)
	if entity_isState(me, STATE_OPEN) then
		entity_animate(me, "open")
	elseif entity_isState(me, STATE_CLOSE) then
		entity_animate(me, "close")
	end
end

function exitState(me, state)
end

